import request from '@/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/nh/device/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getInverterGraph = (sn,time) => {
  return request({
    url: '/nh/device/getInverterGraph',
    method: 'get',
    params: {
      sn,
      time
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/nh/device/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/nh/device/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/nh/device/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/nh/device/submit',
    method: 'post',
    data: row
  })
}

